2 Replies Latest reply on Sep 29, 2014 2:17 PM by macknacat

    Just rec'd bundled Lightroom 5 w/ new camera.   cannot load disc onto my OS10.9   [cover says system requirements=10.7 and 10.8] any advice?

    macknacat

      Just rec'd bundled Lightroom 5 w/ new camera.   cannot load disc onto my OS10.9   [cover says system requirements=10.7 and 10.8] any advice?